Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface SystemPerformanceInfo

All Superinterfaces:
  java.io.Serializable

    public interface SystemPerformanceInfo

extends java.io.Serializable

Method Summary
`int` | `getAvailableProcessors()` Returns the number of processors available to the Java virtual machine.
`long` | `getCommittedMemory()` Returns the amount of memory in bytes that is committed for the Java virtual machine to use.
`int` | `getDaemonThreadCount()` Returns the current number of live daemon threads.
`long` | `getGcCollectionCount()` Returns the total number of collections that have occurred.
`long` | `getGcCollectionTime()` Returns the approximate accumulated collection elapsed time in milliseconds.
`long` | `getMaxMemory()` Returns the maximum amount of memory in bytes that can be used for memory management.
`double` | `getSystemLoadAverage()` Returns the system load average; or a negative value if not available
`int` | `getThreadCount()` Returns the current number of live threads including both daemon and non-daemon threads.
`long` | `getUsedMemory()` Returns the amount of used memory in bytes.

Method Detail

### getAvailableProcessors

    int getAvailableProcessors()

  Returns the number of processors available to the Java virtual machine. This method is equivalent to the `Runtime.availableProcessors()` method.

  Returns:

### getSystemLoadAverage

    double getSystemLoadAverage()

  Returns the system load average; or a negative value if not available

  Returns:

### getUsedMemory

    long getUsedMemory()

  Returns the amount of used memory in bytes.

  Returns:

### getCommittedMemory

    long getCommittedMemory()

  Returns the amount of memory in bytes that is committed for the Java virtual machine to use.

  Returns:

### getMaxMemory

    long getMaxMemory()

  Returns the maximum amount of memory in bytes that can be used for memory management.

  Returns:

### getThreadCount

    int getThreadCount()

  Returns the current number of live threads including both daemon and non-daemon threads.

  Returns:

### getDaemonThreadCount

    int getDaemonThreadCount()

  Returns the current number of live daemon threads.

  Returns:

### getGcCollectionCount

    long getGcCollectionCount()

  Returns the total number of collections that have occurred.

  Returns:

### getGcCollectionTime

    long getGcCollectionTime()

  Returns the approximate accumulated collection elapsed time in milliseconds.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD